Skip to main content

Get Base Assets

GET 

/api/v2/rawmodel

Paginated response of your base assets. Search for base assets by name or tag

Request​

Query Parameters

    q string

    Optional parameter to search for base assets by name or tag

    Example: yourSearchString
    page integer

    Optional. Page number for pagination. Defaults to 1. If the requested page exceeds the maximum available (based on total assets and items per page), the last available page will be returned.

    Example: 3
    itemsPerPage integer

    Optional. Number of items per page. Defaults to 10. Maximum is 50.

    Example: 25

Responses​

success

Schema
    data object[]
  • Array [
  • id integer
    name string
    external boolean
    upload_status string
    size integer
    created_at string
    scale_factor string
    has_errors boolean
    format string
    tags object[]
  • Array [
  • id integer
    name string
    created_at string
    updated_at string
    raw_id integer
  • ]
  • downloads object
    error.log string
    info.log string
    metrics.json string
    rpd_info.json string
    teapot.fbx string
    thumb.jpg string
    warning.log string
  • ]
  • links object
    first string
    last string
    prev stringnullable
    next stringnullable
    meta object
    current_page integer
    from integer
    last_page integer
    links object[]
  • Array [
  • url stringnullable
    label string
    active boolean
  • ]
  • path string
    per_page integer
    to integer
    total integer
Loading...